
Katello - Bug #5432

cannot delete a system group using hammer

04/24/2014 02:20 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1084460 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1084460

Description of problem:

There's no possibility to delete a system group using hammer.

Version-Release number of selected component (if applicable):

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-12.el6sat.noarch

rubygem-hammer_cli-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. hammer systemgroup

Actual results:

Available subcommands:

Subcommands:

copy

create                        Create a system group

info                          Show a system group

list                          List system groups

Expected results:

Subcommand for systemgroup deletion.

Associated revisions

Revision 20a93d8b - 05/06/2014 02:25 PM - dustin tsang

Fixes #5432 adding system group delete command

Revision 878f4898 - 05/06/2014 03:38 PM - dustin tsang

Merge pull request #156 from dustint-rh/bz985393_redmine5432_add_system_group_delete_command

Fixes #5432 add system group delete command

History

#1 - 04/24/2014 02:21 PM - Bryan Kearney

- Assignee set to Adam Price

- Triaged set to No

#2 - 05/02/2014 11:31 PM - dustin tsang
https://bugzilla.redhat.com/show_bug.cgi?id=1084460


- Status changed from New to Assigned

- Assignee changed from Adam Price to dustin tsang

#3 - 05/06/2014 04:06 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:20a93d8b4b8ff873af676d19079142df351755cc.

#4 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#5 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
